[android-components](../../index.md) / [mozilla.components.feature.readerview](../index.md) / [ReaderViewFeature](index.md) / [install](./install.md)

# install

`fun install(engine: `[`Engine`](../../mozilla.components.concept.engine/-engine/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/readerview/src/main/java/mozilla/components/feature/readerview/ReaderViewFeature.kt#L136)

Installs the readerview web extension in the provided engine.

### Parameters

`engine` - a reference to the application's browser engine.